/*
 * Copyright 2002 Farfpeuf/ AdetSoft. All rights reserved.
 * Use is subject to license terms.
 */
package fb.gui.panels;

import fb.gui.widgets.SpellButton;
import fb.spells.Heal;
import fb.spells.Resurection;
import fb.util.Resources;
/**
 * panel to choose a priest spell
 * @author farfpeuf
 *
 */
public class PriestSpellPanel extends SpellCasterPanel {
	/**
	 * create all the buttons available in the panel
	 *
	 */
	public void createButtons(){
		
		buttons = new SpellButton[]{
				new SpellButton(new Heal()),
				new SpellButton(new Resurection())
        };
        buttons[0].setToolTipText(Resources.getString("heal.tt"));
        buttons[1].setToolTipText(Resources.getString("resurection.tt"));

	}
}