/*
 * Copyright 2002 Farfpeuf/ AdetSoft. All rights reserved.
 * Use is subject to license terms.
 */
package fb.spells;
/**
 * a spell with a variable value
 * @author farfpeuf
 *
 */
public interface ValuedSpell {
	/**
	 * @return current spell value
	 */
	public int currentValue();
	/**
	 * set the value
	 * @param value the new value
	 */
	public void setValue(int value);
	/**
	 * @return maximum value
	 */
	public int maxValue();
	/**
	 * @return minimum value
	 */
	public int minValue();
	/**
	 * @return the value name
	 */
	public String valueName();	
	
}
