/*
 * Copyright 2002 Farfpeuf/ AdetSoft. All rights reserved.
 * Use is subject to license terms.
 */
package fb.gui.panels;

import fb.gui.widgets.SpellButton;
import fb.spells.ProjectileShield;
import fb.spells.Shrink;
import fb.spells.Speed;
import fb.spells.Sunrise;
import fb.spells.Terror;
import fb.util.Resources;
/**
 * panel to choose a druid spell
 * @author farfpeuf
 *
 */
public class DruidSpellPanel extends SpellCasterPanel {
	/**
	 * create all the buttons available in the panel
	 *
	 */
	public void createButtons(){
		
		buttons = new SpellButton[]{
				new SpellButton(new Sunrise()),
				new SpellButton(new Terror()),
				new SpellButton(new Shrink()),
				new SpellButton(new Speed()), 
				new SpellButton(new ProjectileShield())
        };

        buttons[0].setToolTipText(Resources.getString("sunrise.tt"));
        buttons[1].setToolTipText(Resources.getString("terror.tt"));
        buttons[2].setToolTipText(Resources.getString("shrink.tt"));
        buttons[3].setToolTipText(Resources.getString("speed.tt"));
        buttons[4].setToolTipText(Resources.getString("projectileshield.tt"));
        
		
	}
}